%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		swell-foop
Version:	41.1
Release:	%mkrel 1
Summary:	GNOME colored tiles puzzle game
License:	GPLv2+ and GFDL
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Swell_Foop
Source0:	https://download.gnome.org/sources/swell-foop/%{url_ver}/swell-foop-%{version}.tar.xz
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	libxml2-utils
# For help
Requires:	yelp

%description
Clear the screen by removing groups of colored and shaped tiles

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.SwellFoop.desktop
%{_datadir}/dbus-1/services/org.gnome.SwellFoop.service
%{_datadir}/glib-2.0/schemas/org.gnome.SwellFoop.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.SwellFoop*.*
%{_datadir}/%{name}
%{_datadir}/metainfo/org.gnome.SwellFoop.appdata.xml


%changelog
* Mon Oct 24 2022 ghibo <ghibo> 41.1-1.mga9
+ Revision: 1899013
- Update to release 41.1.
- Remove -Ddocs=true from meson commands (not supported anymore).
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721526
- new version 40.1

* Thu Mar 25 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709675
- new version 40.0

* Sat Dec 05 2020 luigiwalser <luigiwalser> 3.34.1-3.mga8
+ Revision: 1653196
- fix syntax error

* Sun Feb 16 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1536220
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1453716
- new version 3.34.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439008
- new version 3.34.0

* Mon Sep 02 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436420
- new version 3.33.92

* Thu Apr 18 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392931
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374227
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372314
- new version 3.31.92

* Sun Sep 02 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256302
- new version 3.30.0

* Mon Jun 18 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1237904
- new version 3.29.3

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208765
- new version 3.28.0

* Mon Feb 26 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1205338
- new version 3.27.92

* Wed Feb 21 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1203860
- new version 3.27.91

* Tue Feb 20 2018 ovitters <ovitters> 3.27.90.1-1.mga7
+ Revision: 1203662
- new version 3.27.90.1
- new version 3.27.90

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153033
- new version 3.26.0

* Tue Aug 22 2017 ovitters <ovitters> 3.25.2-1.mga7
+ Revision: 1142794
- new version 3.25.2

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094010
- new version 3.24.0

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065742
- new version 3.22.2

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055259
- new version 3.22.0

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993924
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 990673
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961920
- new version 3.19.90

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925607
- new version 3.19.4

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910410
- new version 3.19.3

* Mon Nov 09 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 900149
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883099
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879423
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871619
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865668
- new version 3.17.90

* Wed Aug 12 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 863458
- new version 3.16.2

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838748
- new version 3.16.1

* Tue Feb 17 2015 wally <wally> 3.14.0-3.mga5
+ Revision: 815346
- require yelp for showing help

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 744083
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719246
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 689638
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676964
- new version 3.13.92

* Sat Aug 23 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666662
- new version 3.13.90
- update url

* Thu May 29 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627595
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622338
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614158
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608071
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604569
- new version 3.11.92

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594049
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.3-1.mga5
+ Revision: 582961
- new version 3.11.3

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541387
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495803
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484282
- new version 3.10.0

* Tue Sep 17 2013 dams <dams> 3.9.92-1.mga4
+ Revision: 480613
- new version 3.9.92

* Tue Aug 20 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 468321
- new version 3.8.2
+ fwang <fwang>
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 440905
- add help files
- imported package swell-foop

